Package org.eclipse.microprofile.rest.client.tck.providers

# Class TestReaderInterceptor

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TestReaderInterceptor

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ReaderInterceptor`

public class TestReaderInterceptor extends Object implements jakarta.ws.rs.ext.ReaderInterceptor

## Constructor Summary

Constructors
Constructor
Description
`TestReaderInterceptor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`aroundReadFrom(jakarta.ws.rs.ext.ReaderInterceptorContext readerInterceptorContext)`
`static int`
`getAndResetValue()`
`static int`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestReaderInterceptor

public TestReaderInterceptor()

## Method Details

### aroundReadFrom

public Object aroundReadFrom(jakarta.ws.rs.ext.ReaderInterceptorContext readerInterceptorContext) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `aroundReadFrom` in interface `jakarta.ws.rs.ext.ReaderInterceptor`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

### getValue

public static int getValue()

### getAndResetValue

public static int getAndResetValue()